export declare type ErrorMeta = {
    type: `none`;
} | {
    type: `usage`;
};
/**
 * A generic usage error with the name `UsageError`.
 *
 * It should be used over `Error` only when it's the user's fault.
 */
export declare class UsageError extends Error {
    clipanion: ErrorMeta;
    constructor(message: string);
}
export declare class UnknownSyntaxError extends Error {
    readonly input: string[];
    readonly candidates: {
        usage: string;
        reason: string | null;
    }[];
    clipanion: ErrorMeta;
    constructor(input: string[], candidates: {
        usage: string;
        reason: string | null;
    }[]);
}
export declare class AmbiguousSyntaxError extends Error {
    readonly input: string[];
    readonly usages: string[];
    clipanion: ErrorMeta;
    constructor(input: string[], usages: string[]);
}
